Crear un nuevo contacto
POST
/contacts
const url = 'https://api.matiasimpulso.com/contacts';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","number":"example","email":"hello@example.com","profilePicUrl":"example","isGroup":false,"disableBot":false,"active":true,"channel":"whatsapp","remoteJid":"example","lgpdAcceptedAt":"example","urlPicture":"https://example.com","pictureUpdated":false,"companyId":1,"extraInfo":[{"id":1,"name":"example","value":"example","contactId":1}],"tags":[1],"walletIds":[1]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.matiasimpulso.com/contacts \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "number": "example", "email": "hello@example.com", "profilePicUrl": "example", "isGroup": false, "disableBot": false, "active": true, "channel": "whatsapp", "remoteJid": "example", "lgpdAcceptedAt": "example", "urlPicture": "https://example.com", "pictureUpdated": false, "companyId": 1, "extraInfo": [ { "id": 1, "name": "example", "value": "example", "contactId": 1 } ], "tags": [ 1 ], "walletIds": [ 1 ] }'Registra un contacto individual dentro del directorio de la empresa autenticada.
Authorizations
Sección titulada « Authorizations »Request Bodyrequired
Sección titulada « Request Bodyrequired » Media type application/json
object
name
required
string
number
required
string
email
string format: email
profilePicUrl
string
isGroup
boolean
disableBot
boolean
active
boolean
channel
string
remoteJid
string
lgpdAcceptedAt
string
urlPicture
string format: uri
pictureUpdated
boolean
companyId
number
extraInfo
Array<object>
object
id
number
name
required
string
value
required
string
contactId
number
tags
Array<number>
walletIds
Array<number>
Responses
Sección titulada « Responses »Contacto creado correctamente
Datos de contacto inválidos o duplicados